# Method: reports.files.list

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/list#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/list#body.aspect)
- [SortField](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/list#SortField)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/list#try-it)

Lists files for a report.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/reports/{reportId}/files`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` The Campaign Manager 360 user profile ID. |
| `reportId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the parent report. |

### Query parameters

| Parameters ||
|---|---|
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/reports.files/list#SortField`)`` The field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` The value of the nextToken from the previous result page. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/FileList`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfareporting`

## SortField

| Enums ||
|---|---|
| `ID` |   |
| `LAST_MODIFIED_TIME` |   |